Jump to content

Instalando facilmente Apache + MySQL + phpmyadmin + bibliotecas [OT Server Ready]


Recommended Posts

O OT Server Ready (OSR) é um software básico que desenvolvi juntamente com o apoio da 4YouStart (que inclusive está oferecendo 50% de desconto em qualquer servidor, cupom: XTIBIA) feito para auxiliar aqueles que tem mais dificuldade com a parte de infraestrutura.

 

Veja funcionando:

 

Avisos:

  • O software está em BETA. Em caso de qualquer problema envie uma resposta nesse post.
  • Quero lembrar que qualquer cópia dessa postagem sem a devida autorização não é permitida.

O OSR instala e configura os seguintes softwares/bibliotecas (visão geral):

- Apache2
- php5
- MySQL 5.5
- phpmyadmin
- Todas bibliotecas para compilar/rodar um OT Server

O sistema suporta oficialmente os seguintes sistemas operacionais:

Debian 7.x
Ubuntu 12.x
Ubuntu 14.x

Para instalar o OT Server Ready, utilize as seguintes instruções:
Lembrete: recomendo que utilize-o apenas em um servidor novo, recém formatado.

Para instalar no Debian:

apt-get update
apt-get install -y gcc

wget http://scripts.4youstart.com/ot-server-ready-debian
chmod 777 ot-server-ready-debian
./ot-server-ready-debian SENHA 

Para instalar no Ubuntu:

apt-get update
apt-get install -y gcc

wget http://scripts.4youstart.com/ot-server-ready-ubuntu
chmod 777 ot-server-ready-ubuntu
./ot-server-ready-ubuntu SENHA 

Substitua a palavra "SENHA" na última linha da instalação pela senha que deseja utilizar no phpmyadmin e MySQL. Recomenda-se que utilize a mesma senha do que a senha do servidor, mas pode utilizar qualquer uma.

Versão atual do Software:

v0.1

Lista de bibliotecas instaladas:

apache2
php5
libapache2-mod-php5
php5-mcrypt
mysql-client-5.5
mysql-server-5.5
mysql-common
libboost-all-dev
libgmp3-dev
liblua5.1-0
liblua5.1-0-dev
liblua50
liblua50-dev
liblualib50
liblualib50-dev
lua50
lua5.1
libsqlite0-dev
libsqlite3-dev
sqlite3
libmysql++-dev
libmysqlclient-dev
libxml2-dev
libxml++2.6-dev
cpp
gcc
g++
make
automake
autoconf
pkg-config
subversion
liblua5.1-sql-mysql-dev
liblua5.1-sql-sqlite3-dev
zlib1g-dev
zlib1g
libcrypto++-dev
libcrypto++
libcurl4-openssl-dev 
phpmyadmin

Sugestões de novas implementações são bem vindas!

 

Façam bom proveito smile.png

Link to comment
Share on other sites

Achei ótima a tool

 

Desenvolvi algo parecido há um tempo, porém os repositórios mudam bastante

e como OTserv tem muita coisa legada a manutenção ficou meio complicada.

 

Exemplos:

- Lamp pede 5.5 em 14.04 e gesior não roda em php 5.5

- 0.4 precisa de libxml antiga, ubuntu 14.04 já atualizou e não tem reps oficiais (precisa compilar o pacote)

 

 

Um jeito legal pra gerenciar isso seriam pacote DIST do ansible como um americano

fez na otland, ele se chama DD se não me engano (não não é o brasileiro). Dá uma olhada, pode te ajudar muito isso mantendo

repositórios compilados

Edited by OtservME
Link to comment
Share on other sites

Achei ótima a tool

 

Desenvolvi algo parecido há um tempo, porém os repositórios mudam bastante

e como OTserv tem muita coisa legada a manutenção ficou meio complicada.

 

Exemplos:

- Lamp pede 5.5 em 14.04 e gesior não roda em php 5.5

- 0.4 precisa de libxml antiga, ubuntu 14.04 já atualizou e não tem reps oficiais (precisa compilar o pacote)

 

 

Um jeito legal pra gerenciar isso seriam pacote DIST do ansible como um americano

fez na otland, ele se chama DD se não me engano (não não é o brasileiro). Dá uma olhada, pode te ajudar muito isso mantendo

repositórios compilados

 

Realmente os repositórios e libs utilizadas mudam muito rápido. Fiz baseado no que é mais atual e estou disposto a implementar novas funções. Posso adicionar uma opção de alterar versão do PHP e outras opções do tipo.

 

Obrigado pela sugestão :)

Link to comment
Share on other sites

  • 1 month later...
  • 1 month later...
  • 2 weeks later...

em si, a ideia é ótima... Mas como usamos uma engine mal feita que conta com bibliotecas desatualizadas, eu sugiro que todo processo de instalação das mesmas sejam feitas manualmente, "instalando e testando."

 

@nightz

 

ensina a galera a proteger o diretório do phpmyadmin com httpswd

Link to comment
Share on other sites

×
×
  • Create New...